NXOpen.UF.Sf.CreateUgsTetMeshWtAbstractionControl

Sf.CreateUgsTetMeshWtAbstractionControl()

Refer to UF_SF_create_ugs_tet_mesh_wt_abstraction_control for documentation.

Signature: CreateUgsTetMeshWtAbstractionControl(meshParms, absDataP, numBodies, bodiesP, fPartialSurfMesh)

Parameters:
  • meshParms (NXOpen.UF.Sf.UgsTetMeshParms Refer to UF_SF_ugs_tet_mesh_parms_s for documentation.) – Parameters which control the required tet Mesh
  • absDataP (NXOpen.UF.Sf.UgsMeshAbstractionParams Refer to UF_SF_ugs_mesh_abstraction_params_s for documentation.) – Abstraction control
  • numBodies (int) – Number of polygon bodies to be meshed
  • bodiesP (list of Tag) – Tag of the polygon bodies to mesh
  • fPartialSurfMesh (int) – 0 == don’t allow creation of partial surface mesh, 1 == allow creation of partial surface mesh with no format to solve, 2 == allow creation of partial surface mesh with format to solve.
Returns:

tag of the created mesh

Return type:

Tag

License requirements: None